#pragma once

#include "interfaces/IRenderTexture.hpp"
#include "RenderTexture.hpp"

namespace TSE::OpenGL
{
    class RenderTextureCreatorOpenGL : public IRenderTextureCreator
    {
    public:
        inline IRenderTexture* CreateTextureHeap(Vector2 v, uint textureCount = 1) override
        {
            return new RenderTexture(v, textureCount);
        };
    };
} // namespace OpenGL
